[android-components](../../index.md) / [mozilla.components.feature.tabs.toolbar](../index.md) / [TabCounterToolbarButton](./index.md)

# TabCounterToolbarButton

`class TabCounterToolbarButton : `[`Action`](../../mozilla.components.concept.toolbar/-toolbar/-action/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/tabs/src/main/java/mozilla/components/feature/tabs/toolbar/TabCounterToolbarButton.kt#L21)

A [Toolbar.Action](../../mozilla.components.concept.toolbar/-toolbar/-action/index.md) implementation that shows a [TabCounter](../../mozilla.components.ui.tabcounter/-tab-counter/index.md).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `TabCounterToolbarButton(sessionManager: `[`SessionManager`](../../mozilla.components.browser.session/-session-manager/index.md)`, showTabs: () -> `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)`)`<br>A [Toolbar.Action](../../mozilla.components.concept.toolbar/-toolbar/-action/index.md) implementation that shows a [TabCounter](../../mozilla.components.ui.tabcounter/-tab-counter/index.md). |

### Inherited Properties

| Name | Summary |
|---|---|
| [visible](../../mozilla.components.concept.toolbar/-toolbar/-action/visible.md) | `open val visible: () -> `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |

### Functions

| Name | Summary |
|---|---|
| [bind](bind.md) | `fun bind(view: <ERROR CLASS>): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
| [createView](create-view.md) | `fun createView(parent: <ERROR CLASS>): <ERROR CLASS>` |
